/*
 * Class:       Karta.java
 *              Trida, kde je ulozen "popis" karty pexesa.
 * Datum:       20. 5. 2011
 * Autor:       jandora1
 */

package jandora1;

public class Karta {

    private int id;     //cislo obrazku - parove
    private int uid;    //unikatni poradove cislo karty
    private boolean otoceno = false;
    private boolean vyrazena = false;

    public Karta(int id, int uid) {
        this.id = id;
        this.uid = uid; 
    }

    //getter
    public int getId() {
        return id;
    }

    //metody ukladaji informace o karte

    //getter
    public boolean isVyrazena() {
        return vyrazena;
    }

    //setter
    public void setVyrazena(boolean vyrazena) {
        this.vyrazena = vyrazena;
    }

    //getter
    public boolean isOtoceno() {
        return otoceno;
    }

    public void setOtoceno(boolean otoceno) {
        this.otoceno = otoceno;
    }

    public int getUid() {
        return uid;
    }

    //metoda na porovnani = vraci true, pokud jsou oba objekty stejne
    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Karta other = (Karta) obj;
        if (this.id != other.id) {
            return false;
        }
        return true;
    }

    //musi byt kvuli equals, pokud jsou si dve karty rovne, musi si byt rovny i hasCode
    @Override
    public int hashCode() {
        int hash = 7;   //7 = nahodne cislo
        hash = 71 * hash + this.id;
        return hash;
    }

    @Override
    public String toString() {
        return "Karta{" + "id=" + id + "otoceno=" + otoceno + '}';
    }    

}
